<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/cl_live"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black_14"
    android:orientation="vertical"
    tools:context=".ui.LiveActivity"
    tools:ignore="MissingDefaultResource">


    <FrameLayout
        android:id="@+id/share_screen_fragment"
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_marginTop="@dimen/dp_5"
        android:layout_marginBottom="@dimen/dp_10"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_30"
        android:gravity="center_horizontal"
        android:layout_marginTop="@dimen/dp_15"
        android:text="00:00:00"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_14"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/video_list_fragment"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/share_screen_fragment"
        app:layout_constraintBottom_toTopOf="@id/play_metronome_fragment" />

 <FrameLayout
        android:id="@+id/play_metronome_fragment"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/share_screen_fragment"
       app:layout_constraintBottom_toBottomOf="parent" />

    <FrameLayout
        android:id="@+id/top_right_operate_control_fragment"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_48"
        app:layout_constraintStart_toEndOf="@+id/share_screen_fragment"
        app:layout_constraintTop_toTopOf="parent" />

    <FrameLayout
        android:id="@+id/top_operate_control_fragment"
        android:layout_width="0dp"
        android:layout_height="@dimen/dp_48"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="@id/share_screen_fragment"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <FrameLayout
        android:id="@+id/member_list_fragment"
        android:layout_width="@dimen/dp_278"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
      app:layout_constraintTop_toBottomOf="@+id/top_right_operate_control_fragment" />

    <FrameLayout
        android:id="@+id/conversation_fragment"
        android:layout_width="@dimen/dp_278"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>